<?php
// Version: 2.0; RateAdmin

function template_main()
{
	global $context, $txt, $settings, $scripturl;

	if(!empty($context['reset'])) {

		if(!empty($context['reset']['success']))
			echo '<div style="text-align: center;"><span style="border: 1px solid #00FF00; background: #DDFFDD; padding: 7px; font-weight: bold;">', $txt['rate_resetSuccess'], '</span></div><br />';
		else
			echo '<div style="text-align: center;"><span style="border: 1px solid #FF0000; background: #FFDDDD; padding: 7px; font-weight: bold;">', $txt['rate_resetFalse'], '</span></div><br />';
	}

	echo '
	<form action="', $context['post_url'], '" method="post" accept-charset="', $context['character_set'], '">
		<table width="80%" border="0" cellspacing="0" cellpadding="0" class="tborder" align="center">
			<tr><td>
				<table border="0" cellspacing="0" cellpadding="4" width="100%">
					<tr class="titlebg">
						<td colspan="3">', $context['settings_title'], '</td>
					</tr>';

	if (!empty($context['settings_message']))
		echo '
					<tr>
						<td class="windowbg2" colspan="3">', $context['settings_message'], '</td>
					</tr>';

	foreach ($context['config_vars'] as $config_var)
	{
		echo '
					<tr class="windowbg2">';

		if (is_array($config_var))
		{
			if ($config_var['help'])
				echo '
						<td class="windowbg2" valign="top" width="16"><a href="', $scripturl, '?action=helpadmin;help=', $config_var['help'], '" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" border="0" align="top" /></a></td>';
			else
				echo '
						<td class="windowbg2"></td>';

			echo '
						<td valign="top" ', ($config_var['disabled'] ? ' style="color: #777777;"' : ''), '><label for="', $config_var['name'], '">', $config_var['label'], ($config_var['type'] == 'password' ? '<br /><i>' . $txt['admin_confirm_password'] . '</i>' : ''), '</label></td>
						<td class="windowbg2" width="50%">';

			if ($config_var['type'] == 'check')
				echo '
							<input type="hidden" name="', $config_var['name'], '" value="0" /><input type="checkbox"', ($config_var['disabled'] ? ' disabled="disabled"' : ''), ' name="', $config_var['name'], '" id="', $config_var['name'], '" ', ($config_var['value'] ? ' checked="checked"' : ''), ' class="check" />';
			elseif ($config_var['type'] == 'password')
				echo '
							<input type="password"', ($config_var['disabled'] ? ' disabled="disabled"' : ''), ' name="', $config_var['name'], '[0]"', ($config_var['size'] ? ' size="' . $config_var['size'] . '"' : ''), ' value="*#fakepass#*" onfocus="this.value = \'\'; this.form.', $config_var['name'], '.disabled = false;" /><br />
							<input type="password" disabled="disabled" id="', $config_var['name'], '" name="', $config_var['name'], '[1]"', ($config_var['size'] ? ' size="' . $config_var['size'] . '"' : ''), ' />';
			elseif ($config_var['type'] == 'select')
			{
				echo '
							<select name="', $config_var['name'], '"', ($config_var['disabled'] ? ' disabled="disabled"' : ''), '>';
				foreach ($config_var['data'] as $option)
					echo '
								<option value="', $option[0], '"', ($option[0] == $config_var['value'] ? ' selected="selected"' : ''), '>', $option[1], '</option>';
				echo '
							</select>';
			}
			elseif ($config_var['type'] == 'large_text')
			{
				echo '
							<textarea rows="', ($config_var['size'] ? $config_var['size'] : 4), '" cols="30" ', ($config_var['disabled'] ? ' disabled="disabled"' : ''), ' name="', $config_var['name'], '">', $config_var['value'], '</textarea>';
			}
			else
				echo '
							<input type="text"', ($config_var['disabled'] ? ' disabled="disabled"' : ''), ' name="', $config_var['name'], '" value="', $config_var['value'], '"', ($config_var['size'] ? ' size="' . $config_var['size'] . '"' : ''), ' />';

			echo '
						</td>';
		}
		else
		{
			if ($config_var == '')
				echo '
							<td colspan="3" class="windowbg2"><hr size="1" width="100%" class="hrcolor" /></td>';
			else
				echo '
							<td colspan="3" class="windowbg2" align="center"><b>' . $config_var . '</b></td>';
		}
		echo '
					</tr>';
	}
	if(!empty($context['member_groups'])) {

		echo '	</tr>
				<tr class="windowbg2">
					<td class="windowbg2"></td>
					<td class="windowbg2" colspan="2">', $txt['rate_excludedGroups'], '</td>';

		foreach($context['member_groups'] as $group) {

			echo '	</tr>
					<tr class="windowbg2">
					<td class="windowbg2"></td>';						
			echo '
						<td valign="top" style="padding-left: 15px;"><label for="member_groups[]">', $group['name'], '</label></td>
						<td class="windowbg2" width="50%">';
						
			echo '
							<input type="checkbox" name="member_groups[]" value="', $group['id'], '"', ($group['checked'] ? ' checked="checked"' : ''), ' class="check" />';
			echo '</td>';

		}
	}
	echo '
					</tr><tr>
							<td colspan="3" class="windowbg2"><hr size="1" width="100%" class="hrcolor" /></td>
					</tr><tr>
							<td colspan="3" class="windowbg2" align="center"><a href=" ', $scripturl, '?action=rateadmin;reset" onclick="return confirm(\'', $txt['rate_resetConfirm'], '\');">', $txt['rate_reset'], '</a></td>
					</tr><tr>
							<td colspan="3" class="windowbg2"><hr size="1" width="100%" class="hrcolor" /></td>
					</tr><tr>';
	echo '
					</tr><tr>
						<td class="windowbg2" colspan="3" align="center" valign="middle"><input type="submit" value="', $txt[10], '"', (!empty($context['save_disabled']) ? ' disabled="disabled"' : ''), ' /></td>
					</tr>
				</table>
			</td></tr>
		</table>
		<input type="hidden" name="sc" value="', $context['session_id'], '" />
	</form>';
}

function template_board_list()
{
	global $context, $settings, $options, $scripturl, $txt;

	echo '
	<form action="', $scripturl, '?action=rateadmin;sa=boardlist" method="post" name="quickTools" accept-charset="', $context['character_set'], '">
		<table border="0" align="center" cellspacing="1" cellpadding="4" class="bordercolor" width="100%">
			<tr class="titlebg">
				<td width="100%">
					', $txt['rate_boardsTitle'], '
				</td>
				<td>
					<input type="checkbox" class="check" onclick="invertAll(this, this.form);" />
				</td>
			</tr>';
			
	foreach ($context['categories'] as $category)
	{
		echo '
			<tr>
				<td class="catbg" height="18" colspan="2">
					', $category['name'], '
				</td>
			</tr>';

		echo '
			<tr>
				<td class="windowbg2" width="100%" valign="top" colspan="2">
					<table width="100%" border="0" cellpadding="1" cellspacing="0">
						<tr>
							<td style="padding-left: 1ex;" colspan="5"><b>', $txt['rate_boardsName'], '</b></td>
						</tr>';

		$alternate = false;

		foreach ($category['boards'] as $board)
		{
			$alternate = !$alternate;

			echo '
						<tr class="windowbg', $alternate ? '' : '2', '">
							<td style="padding-left: ', 5 + 30 * $board['child_level'], 'px;', '">', $board['name'], '</td>
							<td width="10%" align="center"><a href="' . $scripturl . '?action=rateadmin;sa=change;type=status;id=' . $board['id'] . ';sesc=' . $context['session_id'] . '">' . (!empty($board['status']) ? '<img src="' . $settings['default_theme_url'] . '/images/icons/package_installed.gif" alt="disable" />' : '<img src="' . $settings['default_theme_url'] . '/images/icons/package_old.gif" alt="enable" />') . '</a>', '</td>
							<td width="10%" align="center">', !empty($board['status']) ? '<a href="' . $scripturl . '?action=rateadmin;sa=change;type=type;id=' . $board['id'] . ';sesc=' . $context['session_id'] . '">' . (!empty($board['type']) ? $txt['rate_typeLocal'] : $txt['rate_typeDefault']) . '</a>' : '', '</td>
							<td width="10%" align="center">', !empty($board['status']) && !empty($board['type']) ? '<a href="' . $scripturl . '?action=rateadmin;sa=boardmodify;id=' . $board['id'] . '">' . $txt['rate_boardsModify'] . '</a>' : '', '</td>
							<td width="2%" align="center"><input type="checkbox" name="boards[]" value="', $board['id'], '" class="check" /></td>
						</tr>';

		}

		echo '
					</table>
				</td>
			</tr>';
	}
	echo '
			<tr>
				<td class="catbg" height="18" colspan="2">
					<div style="float: right;">
						<select name="quickChange">
								<option value="">--------</option>
								<option value="1">', $txt['rate_qtDisable'], '</option>
								<option value="2">', $txt['rate_qtEnable'], '</option>
								<option value="3">', $txt['rate_qtDefault'], '</option>
								<option value="4">', $txt['rate_qtLocal'], '</option>
						</select>
						<input type="submit" name="changeBoards" value="', $txt['rate_qtGo'], '" onclick="return document.forms.quickTools.quickChange.value != \'\' &amp;&amp; confirm(\'', $txt['rate_qtConfirm'], '\');"/>
					</div>					
				</td>
			</tr>
		</table>
		<input type="hidden" name="sc" value="', $context['session_id'], '" />
	</form>';
}

function template_board_modify()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '<br />
	<table border="0" align="center" cellspacing="1" cellpadding="4" class="tborder" width="60%">
		<tr class="catbg">
			<td>
				', $txt['rate_boardsModify'], '
			</td>
		</tr><tr class="windowbg2">
			<td align="center">
				<form action="', $scripturl, '?action=rateadmin;sa=boardmodify" method="post" accept-charset="', $context['character_set'], '">
					<table cellpadding="4">
						<tr>
							<th align="left">', $txt['rate_enabled'], '</th>
							<td align="left"><input type="checkbox" name="status" value="1" id="status"', !empty($context['boardInfo']['status']) ? 'checked="checked"' : '', ' /></td>
						</tr>';
	if(!empty($context['member_groups'])) {
		echo '
						<tr>
							<th align="left">', $txt['rate_excludedGroups'], '</th>
							<td align="left"></td>
						</tr>';
		foreach($context['member_groups'] as $group) {
			echo '
						<tr>
							<td align="left">', $group['name'], '</td>
							<td align="left"><input type="checkbox" name="member_groups[]" value="', $group['id'], '"', ($group['checked'] ? ' checked="checked"' : ''), ' class="check" /></td>
						</tr>';
		}
	}
	echo '
						<tr>
							<td colspan="2" align="center"><input type="submit" name="modify_board" value="', $txt[10], '" /></td>
						</tr>
					</table>
					<input type="hidden" name="board_id" value="', $context['boardInfo']['id'], '" />
					<input type="hidden" name="sc" value="', $context['session_id'], '" />
				</form>
			</td>
		</tr>
	</table>';
}

function template_rate_log()
{
	global $context, $settings, $txt;

	echo '
		<table border="0" align="center" cellspacing="1" cellpadding="4" class="bordercolor" width="70%">
			<tr class="catbg3">
				<td colspan="4"><b>', $txt[139], ':</b> ', $context['page_index'], '</td>
			</tr><tr class="titlebg">';

	foreach ($context['columns'] as $column)
	{
		if ($column['selected'])
			echo '
				<th', isset($column['width']) ? ' width="' . $column['width'] . '"' : '', '>
					<a href="', $column['href'], '">', $column['label'], '<img src="', $settings['images_url'], '/sort_', $context['sort_direction'], '.gif" alt="" /></a>
				</th>';
		elseif ($column['sortable'])
			echo '
				<th', isset($column['width']) ? ' width="' . $column['width'] . '"' : '', '>
					', $column['link'], '
				</th>';
		else
			echo '
				<th', isset($column['width']) ? ' width="' . $column['width'] . '"' : '', '>
					', $column['label'], '
				</th>';
	}
	echo '
			</tr>';

	while ($log = $context['get_logs']())
	{
		echo '
			<tr>
				<td align="left" valign="top" class="windowbg">', $log['link'], '</td>
				<td align="left" valign="top" class="windowbg2">', empty($log['member_group']) ? $log['post_group'] : $log['member_group'], '</td>
				<td align="center" valign="top" class="windowbg2">', $log['rate'], '</td>
				<td align="left" valign="top" class="windowbg2">', $log['time'], '</td>
			</tr>';
	}

	echo '
			<tr class="catbg3">
				<td colspan="4"><b>', $txt[139], ':</b> ', $context['page_index'], '</td>
			</tr>
		</table>';
}

?>